Openi DeveloperDeveloper

Get billing usage for current tenant

GET
/v1/billing/usage

Authorization

ApiKeyAuth
x-api-key<token>

Tenant API key

In: header

Query Parameters

periodFrom?string

Start period (YYYY-MM). Default: 12 months ago.

Match^\d{4}-\d{2}$
periodTo?string

End period (YYYY-MM). Default: current month.

Match^\d{4}-\d{2}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/billing/usage"
{  "currentPeriod": "string",  "totalMatches": 0,  "byPeriod": [    {      "period": "string",      "matches": 0    }  ],  "byRuleSet": [    {      "ruleSetId": "48affae8-2f10-44c5-addc-54478c17eb78",      "name": "string",      "matches": 0    }  ],  "byDataset": [    {      "dataset": "string",      "matches": 0    }  ],  "records": {    "total": 0,    "byDataset": [      {        "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2",        "name": "string",        "count": 0      }    ]  },  "matches": {    "total": 0,    "byDecision": {      "property1": 0,      "property2": 0    },    "matchRate": 0.1  },  "composites": {    "total": 0,    "byDecision": {      "property1": 0,      "property2": 0    },    "byStatus": {      "property1": 0,      "property2": 0    }  },  "recentJobs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "dataset": "string",      "status": "string",      "matchRate": 0.1    }  ],  "billing": {    "currentPeriod": "string",    "matchesCount": 0  },  "connectors": [    {      "name": "string",      "type": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}